Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Interface ComboPopup

All Known Implementing Classes:
  BasicComboPopup

public interface ComboPopup

The interface which defines the methods required for the implementation of the popup portion of a combo box.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Method Summary
`KeyListener` | `getKeyListener()` Returns a key listener that will be added to the combo box or null.
`JList` | `getList()` Returns the list that is being used to draw the items in the combo box.
`MouseListener` | `getMouseListener()` Returns a mouse listener that will be added to the combo box or null.
`MouseMotionListener` | `getMouseMotionListener()` Returns a mouse motion listener that will be added to the combo box or null.
`void` | `hide()` Hides the popup
`boolean` | `isVisible()` Returns true if the popup is visible (currently being displayed).
`void` | `show()` Shows the popup
`void` | `uninstallingUI()` Called to inform the ComboPopup that the UI is uninstalling.

Method Detail

### show

    public void show()

  Shows the popup

### hide

    public void hide()

  Hides the popup

### isVisible

    public boolean isVisible()

  Returns true if the popup is visible (currently being displayed).

  Returns:
    `true`if the component is visible; `false` otherwise.``

### getList

    public JList getList()

  Returns the list that is being used to draw the items in the combo box. This method is highly implementation specific and should not be used for general list manipulation.

### getMouseListener

    public MouseListener getMouseListener()

  Returns a mouse listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

  Returns:
    a `MouseListener` or null

### getMouseMotionListener

    public MouseMotionListener getMouseMotionListener()

  Returns a mouse motion listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

  Returns:
    a `MouseMotionListener` or null

### getKeyListener

    public KeyListener getKeyListener()

  Returns a key listener that will be added to the combo box or null. If this method returns null then it will not be added to the combo box.

### uninstallingUI

    public void uninstallingUI()

  Called to inform the ComboPopup that the UI is uninstalling. If the ComboPopup added any listeners in the component, it should remove them here.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.